Double
Date: 2016-06-24

java.lang

## Class Double

- java.lang.Object
- - java.lang.Number
  - - java.lang.Double

- All Implemented Interfaces:
    Serializable, Comparable

      public final class Double
      extends Number
      implements Comparable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static double` | `MAX_VALUE`
    `static double` | `MIN_VALUE`
    `static double` | `NaN`
    `static double` | `NEGATIVE_INFINITY`
    `static double` | `POSITIVE_INFINITY`
    `static Class` | `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Double(double var0)`
    `Double(String var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `compare(double var0, double var1)`
    `int` | `compareTo(Double var0)`
    `int` | `compareTo(Object var0)`
    `static long` | `doubleToLongBits(double var0)`
    `static long` | `doubleToRawLongBits(double var0)`
    `double` | `doubleValue()`
    `float` | `floatValue()`
    `int` | `intValue()`
    `boolean` | `isInfinite()`
    `static boolean` | `isInfinite(double var0)`
    `boolean` | `isNaN()`
    `static boolean` | `isNaN(double var0)`
    `static double` | `longBitsToDouble(long var0)`
    `long` | `longValue()`
    `static double` | `parseDouble(String var0)`
    `static String` | `toString(double var0)`
    `static Double` | `valueOf(String var0)`

    - ### Methods inherited from class java.lang.Number

      `byteValue, shortValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAX_VALUE

          public static final double MAX_VALUE

      See Also:
        Constant Field Values

    - #### MIN_VALUE

          public static final double MIN_VALUE

    - #### NEGATIVE_INFINITY

          public static final double NEGATIVE_INFINITY

      See Also:
        Constant Field Values

    - #### NaN

          public static final double NaN

      See Also:
        Constant Field Values

    - #### POSITIVE_INFINITY

          public static final double POSITIVE_INFINITY

      See Also:
        Constant Field Values

    - #### TYPE

          public static final Class TYPE

  - ### Constructor Detail

    - #### Double

          public Double(double var0)

    - #### Double

          public Double(String var0)

  - ### Method Detail

    - #### compare

          public static int compare(double var0,
                    double var1)

    - #### compareTo

          public int compareTo(Double var0)

    - #### compareTo

          public int compareTo(Object var0)

      Specified by:
        `compareTo` in interface `Comparable`

    - #### doubleToLongBits

          public static long doubleToLongBits(double var0)

    - #### doubleToRawLongBits

          public static long doubleToRawLongBits(double var0)

    - #### doubleValue

          public double doubleValue()

      Specified by:
        `doubleValue` in class `Number`

    - #### floatValue

          public float floatValue()

      Specified by:
        `floatValue` in class `Number`

    - #### intValue

          public int intValue()

      Specified by:
        `intValue` in class `Number`

    - #### isInfinite

          public boolean isInfinite()

    - #### isInfinite

          public static boolean isInfinite(double var0)

    - #### isNaN

          public boolean isNaN()

    - #### isNaN

          public static boolean isNaN(double var0)

    - #### longBitsToDouble

          public static double longBitsToDouble(long var0)

    - #### longValue

          public long longValue()

      Specified by:
        `longValue` in class `Number`

    - #### parseDouble

          public static double parseDouble(String var0)

    - #### toString

          public static String toString(double var0)

    - #### valueOf

          public static Double valueOf(String var0)